=== src/pimcommon/logactivities/autotests/CMakeLists.txt ===
ecm_add_test(logactivitiesmanagertest.cpp
    NAME_PREFIX "pimcommon-logactivities-"
    LINK_LIBRARIES Qt::Test KF5::PimCommon KF5::PimTextEdit
)

ecm_add_test(logactivitieswidgettest.cpp
    NAME_PREFIX "pimcommon-logactivities-"
    LINK_LIBRARIES Qt::Test KF5::PimCommon KF5::PimTextEdit
)

ecm_add_test(logactivitiesdialogtest.cpp
    NAME_PREFIX "pimcommon-logactivities-"
    LINK_LIBRARIES Qt::Test KF5::PimCommon KF5::PimTextEdit
)
