=== debian/control ===
--- 
+++ 
@@ -4,34 +4,38 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.16~),
                debhelper (>= 11),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.91.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadicontact-dev (>= 4:21.12.3~),
-               libkf5akonadimime-dev (>= 4:21.12.3~),
-               libkf5akonadisearch-dev (>= 4:21.12.3~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5codecs-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
-               libkf5contacts-dev (>= 4:19.08.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadicontact-dev (>= 4:22.08.1~),
+               libkf5akonadisearch-dev (>= 4:22.08.1~),
+               libkf5archive-dev (>= 5.91.0~),
+               libkf5codecs-dev (>= 5.91.0~),
+               libkf5config-dev (>= 5.91.0~),
+               libkf5configwidgets-dev (>= 5.91.0~),
+               libkf5contacts-dev (>= 5:5.91.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 21.12.3~),
-               libkf5kcmutils-dev,
+               libkf5i18n-dev (>= 5.91.0~),
+               libkf5imap-dev (>= 22.08.1~),
+               libkf5itemmodels-dev (>= 5.91.0~),
+               libkf5jobwidgets-dev (>= 5.91.0~),
+               libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
-               libkf5purpose-dev,
+               libkf5kio-dev (>= 5.91.0~),
+               libkf5ldap-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5newstuff-dev (>= 5.91.0~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
+               libkf5purpose-dev (>= 5.91.0~),
+               libkf5service-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.91.0~),
+               libkf5xmlgui-dev (>= 5.91.0~),
                libqt5webchannel5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.12),
@@ -39,7 +43,6 @@
                qtpositioning5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
-               qtwebengine5-dev (>= 5.6.1~),
                xsltproc,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
@@ -62,14 +65,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
-         libkf5akonadicontact-dev (>= 4:21.12.3~),
-         libkf5config-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:19.08.3~),
-         libkf5imap-dev (>= 21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
+         libkf5akonadicontact-dev (>= 4:22.08.1~),
+         libkf5config-dev (>= 5.91.0~),
+         libkf5contacts-dev (>= 5:5.91.0~),
+         libkf5imap-dev (>= 22.08.1~),
          libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 21.12.3~),
+         libkf5pimtextedit-dev (>= 22.08.1~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends},
